Blame 0073-30usrmove-usrmove-convert.sh-rename-duplicate-librar.patch
|
Harald Hoyer |
fc0cfd |
From 5ebad51b8461d501613f86bcc46fdda4eddbdaf9 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
fc0cfd |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
fc0cfd |
Date: Thu, 26 Jan 2012 15:37:50 +0100
|
|
Harald Hoyer |
fc0cfd |
Subject: [PATCH] 30usrmove/usrmove-convert.sh: rename duplicate libraries
|
|
Harald Hoyer |
fc0cfd |
|
|
Harald Hoyer |
fc0cfd |
ldconfig does not ignore the duplicate leftover libs with a .usrmove~
|
|
Harald Hoyer |
fc0cfd |
suffix, so we rename ".so" to "_so".
|
|
Harald Hoyer |
fc0cfd |
---
|
|
Harald Hoyer |
fc0cfd |
modules.d/30usrmove/usrmove-convert.sh | 8 ++++++++
|
|
Harald Hoyer |
fc0cfd |
1 files changed, 8 insertions(+), 0 deletions(-)
|
|
Harald Hoyer |
fc0cfd |
|
|
Harald Hoyer |
fc0cfd |
diff --git a/modules.d/30usrmove/usrmove-convert.sh b/modules.d/30usrmove/usrmove-convert.sh
|
|
Harald Hoyer |
fc0cfd |
index 8a623b3..cb93993 100755
|
|
Harald Hoyer |
fc0cfd |
--- a/modules.d/30usrmove/usrmove-convert.sh
|
|
Harald Hoyer |
fc0cfd |
+++ b/modules.d/30usrmove/usrmove-convert.sh
|
|
Harald Hoyer |
fc0cfd |
@@ -141,6 +141,14 @@ for dir in bin sbin lib lib64; do
|
|
Harald Hoyer |
fc0cfd |
&& rm -rf "$ROOT/${dir}.usrmove-old~" || :
|
|
Harald Hoyer |
fc0cfd |
done
|
|
Harald Hoyer |
fc0cfd |
|
|
Harald Hoyer |
fc0cfd |
+for dir in lib lib64; do
|
|
Harald Hoyer |
fc0cfd |
+ [[ -d "$ROOT/$dir" ]] || continue
|
|
Harald Hoyer |
fc0cfd |
+ for lib in "$ROOT"/usr/${dir}/lib*.so*.usrmove~; do
|
|
Harald Hoyer |
fc0cfd |
+ [[ -f $lib ]] || continue
|
|
Harald Hoyer |
fc0cfd |
+ mv $lib ${lib/.so/_so}
|
|
Harald Hoyer |
fc0cfd |
+ done
|
|
Harald Hoyer |
fc0cfd |
+done
|
|
Harald Hoyer |
fc0cfd |
+
|
|
Harald Hoyer |
fc0cfd |
set +e
|
|
Harald Hoyer |
fc0cfd |
|
|
Harald Hoyer |
fc0cfd |
echo "Run ldconfig."
|